WordPress.org

Make WordPress Themes

Opened 5 years ago

Closed 5 years ago

Last modified 5 years ago

#9597 closed theme (live)

THEME: Galaxy - 1.1

Reported by: pixelpetal Owned by: nishasingh
Priority: Keywords: theme-galaxy
Cc: pixelpetal@…

Description

Galaxy - 1.1

Galaxy is a professional WordPress theme which is perfect for corporate business websites and blogs. It features a modern design, post excerpts with thumbnails, header, background, fixed-width, widget-ready and threaded comments. Galaxy theme also comes with custom Menus support and other cool features. Tested with major browsers - Mozilla Firefox, Internet Explorer, Opera, Safari and Chrome. Check <a href="http://pixelpetal.com/galaxy/">Galaxy Official Page</a> in case you need directions.

Theme URL - http://pixelpetal.com/galaxy/
Author URL - http://pixelpetal.com/

SVN - http://themes.svn.wordpress.org/galaxy/1.1
ZIP - http://wordpress.org/extend/themes/download/galaxy.1.1.zip?nostats=1

Diff with previous version: http://themes.trac.wordpress.org/changeset?old_path=/galaxy/1.0&new_path=/galaxy/1.1

All previous tickets for this theme: http://themes.trac.wordpress.org/query?col=id&col=summary&col=keywords&col=owner&col=status&col=resolution&keywords=~theme-galaxy&order=id

https://themes.svn.wordpress.org/galaxy/1.1/screenshot.png

Change History (5)

#1 @nishasingh
5 years ago

  • Owner set to nishasingh
  • Status changed from new to accepted

#2 @nishasingh
5 years ago

  • Resolution set to approved
  • Status changed from accepted to closed

Previously approved Theme. No visual issues found.
Issues from ticket #9597

  • Pass: Unit test
  • Pass: debug error
  • Pass: theme check
  • Fail: deprecated cell
    • get_theme_data found in the file core.php. Deprecated since version 3.4. Use wp_get_theme() instead.
Line 46: $theme_data = get_theme_data( trailingslashit( GALAXY_DIR ) . 'style.css' );
  • add_custom_image_header found in the file custom-header.php. Deprecated since version 3.4. Use add_theme_support( 'custom-header', $args ) instead.
Line 33: add_custom_image_header( $custom_header_support['wp-head-callback'], $custo
  • add_custom_background found in the file functions.php. Deprecated since version 3.4. Use add_theme_support( 'custom-background', $args ) instead.
Line 25: add_custom_background( 'galaxy_custom_background_callback' );

Review Summary

  • Theme has minor issues.
  • Ticket being resolved as APPROVED.
  • Please address all issues in next Theme revision.

Thanks,
Nisha

#3 follow-up: @pixelpetal
5 years ago

@nishasingh
Thanks for your time in reviewing my theme. Your guidance at the following points will be helpful to fix them in the next theme revision,

  • Please give me an example of using apply_filters() Calls stylesheet_uri, I am currently using bloginfo( 'stylesheet_url' ) to load style.css
  • I am currently using following lines for the License declaration.
    • License: GNU General Public License, version 3 (GPLv3)
    • License URI: license.txt
  • license.txt has also included in the theme package.

Deprecated Calls

  • I have used all the new functions of WordPress 3.4 with the one version backward compatibility. I have also mentioned them in changelog.txt
  • I will definitely remove these deprecated functions after the release of WordPress 3.5

Your help at the requested points will be appreciated.
Waiting for your response.
Thanks

#4 in reply to: ↑ 3 ; follow-up: @nishasingh
5 years ago

Replying to pixelpetal:

@nishasingh
Thanks for your time in reviewing my theme. Your guidance at the following points will be helpful to fix them in the next theme revision,

  • Please give me an example of using apply_filters() Calls stylesheet_uri, I am currently using bloginfo( 'stylesheet_url' ) to load style.css
Use echo get_stylesheet_uri()instead of bloginfo( 'stylesheet_url' )
  • I am currently using following lines for the License declaration.
    • License: GNU General Public License, version 3 (GPLv3)
    • License URI: license.txt
  • license.txt has also included in the theme package.

License & Copyright:
License: Use the GPLv2 if you can, for maximum compatibility.The only reason to use GPLv3 is if you make use of libraries that are not compatible with the GPLv2. If you do use the GPLv3, then a number of people will be unable to use your code in any way.
Copyright: Themes are required to declare copyright and license information as specified by the applicable license, e.g.:

Twenty Eleven WordPress Theme, Copyright 2011 WordPress.org
Twenty Eleven is distributed under the terms of the GNU GPL

Deprecated Calls

  • I have used all the new functions of WordPress 3.4 with the one version backward compatibility. I have also mentioned them in changelog.txt

    Ohh, that's fine.

  • I will definitely remove these deprecated functions after the release of WordPress 3.5

Your help at the requested points will be appreciated.
Waiting for your response.
Thanks

Last edited 5 years ago by nishasingh (previous) (diff)

#5 in reply to: ↑ 4 @pixelpetal
5 years ago

@nishasingh

  • Thanks a lot for your time and valuable feedback.
  • Your feedback will be helpful in the next theme revision.

Take Care

Note: See TracTickets for help on using tickets.